{% extends 'base.html' %}
{% block customhead %}
{% load static %}
<link rel="stylesheet" href="{% static 'css/register.css' %}" type="text/css">
<title>Adoptar - Mis Perris</title>
<style>
.perrofoto{
    max-width: 20%;
}
</style>
{% endblock %}

{% block content %}

<!--Registro Form-->
{% if user.username == 'admin' %}
<div class="container nopadding" style="color:white;">
    <div class="row justify-content-center">
        <div class="col-lg-10">
            <div class="jumbotron green">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <h2>Registro de perros</h2>
                        </div>
                        <div class="col-lg-3">
                            <form action="/perros/crear/" method="POST" enctype="multipart/form-data">
                                {% csrf_token %}
                                <label for="foto">Foto</label>
                                <input type="file" name="foto" id="foto" class="form-control-file" accept="image/*">
                        </div>
                        <div class="col-lg-3">
                            <label for="nombre">Nombre</label>
                            <input type="text" id="nombre" name="nombre" class="form-control" placeholder="Nombre">
                        </div>
                        <div class="col-lg-3">
                            <label for="raza">Raza</label>
                            <input type="text" id="raza" name="raza" class="form-control" placeholder="Raza">
                        </div>
                        <div class="col-lg-3">
                            <label for="estado">Estado</label>
                            <select name="estado" id="estado" class="form-control">
                                <option value="rescatado">Rescatado</option>
                                <option value="disponible">Disponible</option>
                                <option value="adoptado">Adoptado</option>
                            </select>
                        </div>
                        <div class="col-lg-12">
                            <label for="descripcion">Descripcion</label>
                            <textarea name="descripcion" id="descripcion" cols="30" rows="3" class="form-control"
                                placeholder="Descripcion..."></textarea>
                        </div>
                        <div class="col-6 col-lg-9"></div>
                        <div class="col-6 col-lg-3">
                            <label for=""> </label>
                            <input type="submit" value="Registrar" class="form-control btn btn-success bgbtn">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endif %}
<div class="container nopadding">
    <div class="row justify-content-center">
        <div class="col-lg-10" style="color:white;">
            <div class="jumbotron green">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <h2>Listado de perros</h2>
                        </div>
                        {% for p in perros reversed %}
                        <div class="col-lg-12">
                            <hr>
                            <h2>{{p.nombre}}</h2>
                            {% if p.foto %}
                            <img src="/media/{{p.foto}}" alt="" class="perrofoto">
                            {% endif %}
                            <h5>{{p.descripcion}}</h5>
                            <h5>Raza: {{p.raza}}</h5>
                            <h5>Estado: <span style="text-transform: capitalize;">{{p.estado}}</span></h5>
                        </div>
                        <div class="col-md-6">

                        </div>
                        {% if user.username == 'admin' %}
                        <div class="col-6 col-md-3">    
                            <a class="btn btn-block btn-success bgbtn" data-toggle="collapse" href="#e{{p.id}}">Editar</a>
                        </div>
                        <div class="col-6 col-md-3">
                            <a href="eliminar/{{p.id}}" class="btn btn-block btn-success bgbtn">Eliminar</a>
                        </div>
                        {% endif %}
                        {% if user.is_authenticated and user.username != 'admin' and p.estado != 'adoptado' and p.estado != 'rescatado' %}
                        <div class="col-6">
                        </div>
                        <div class="col-8"></div>
                        <div class="col-md-4">
                            <a href="adoptar/{{p.id}}" class="btn btn-block btn-success bgbtn">Adoptar</a>
                        </div>
                        
                        {% endif %}
                        <div class="col-lg-12">
                            <br>
                            <div class="collapse" id="e{{p.id}}">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-lg-3">
                                            <form action="/perros/editar/{{p.id}}" method="POST" enctype="multipart/form-data">
                                                {% csrf_token %}
                                                <label for="">Foto</label>
                                                <input type="file" name="{{p.id}}foto" id="{{p.id}}foto" value="{{p.foto}}"
                                                    class="form-control-file" accept="image/*">
                                        </div>
                                        <div class="col-lg-3">
                                                <label for="">Nombre</label>
                                            <input type="text" name="{{p.id}}nombre" id="{{p.id}}nombre" value="{{p.nombre}}"
                                                class="form-control">
                                        </div>
                                        <div class="col-lg-3">
                                                <label for="">Raza</label>
                                            <input type="text" name="{{p.id}}raza" id="{{p.id}}raza" value="{{p.raza}}"
                                                class="form-control">
                                        </div>
                                        <div class="col-lg-3">
                                                <label for="">Estado</label>
                                                <select name="{{p.id}}estado" id="{{p.id}}estado" class="form-control">
                                                    {% if p.estado == 'rescatado' %}
                                                        <option value="rescatado" selected>Rescatado</option>
                                                    {% else %}
                                                        <option value="rescatado">Rescatado</option>
                                                    {% endif %}


                                                    {% if p.estado == 'disponible' %}
                                                        <option value="disponible" selected>Disponible</option>
                                                    {% else %}
                                                        <option value="disponible">Disponible</option>
                                                    {% endif %}

                                                    
                                                    {% if p.estado == 'adoptado' %}
                                                        <option value="adoptado" selected>Adoptado</option>
                                                    {% else %}
                                                        <option value="adoptado">Adoptado</option>
                                                    {% endif %}
                                                    </select>
                                        </div>
                                        <div class="col-lg-12">
                                                <label for="">Descripcion</label>
                                            <textarea type="text" name="{{p.id}}descripcion" id="{{p.id}}descripcion" class="form-control" cols="30" rows="3">{{p.descripcion}}</textarea>
                                        </div>
                                        <div class="col-lg-9"></div>
                                        <div class="col-lg-3">
                                                <label for=""> </label>
                                            <input type="submit" class="btn btn-success bgbtn btn-block" value="Guardar">
                                        </div>
                                    </div>
                                </div>

                                </form>
                            </div>
                        </div>
                        {% endfor %}
                    </div>
                </div>






            </div>
            <br>
        </div>
    </div>
</div>
{% endblock %}